seo:
  title: >-
    GitHub now offers free private repos for up to three collaborators – here
    are our thoughts
  description: >-
    GitLab's CEO reflects on this move and what it means for the software
    development space.
  ogTitle: >-
    GitHub now offers free private repos for up to three collaborators – here
    are our thoughts
  ogDescription: >-
    GitLab's CEO reflects on this move and what it means for the software
    development space.
  noIndex: false
  ogImage: images/blog/hero-images/logoforblogpost.jpg
  ogUrl: >-
    https://about.gitlab.com/blog/github-offering-free-private-repos-for-up-to-three-collaborators
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: >-
    https://about.gitlab.com/blog/github-offering-free-private-repos-for-up-to-three-collaborators
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "GitHub now offers free private repos for up to three collaborators – here are our thoughts",
            "author": [{"@type":"Person","name":"Sid Sijbrandij"}],
            "datePublished": "2019-01-07",
          }

content:
  title: >-
    GitHub now offers free private repos for up to three collaborators – here
    are our thoughts
  description: >-
    GitLab's CEO reflects on this move and what it means for the software
    development space.
  authors:
    - Sid Sijbrandij
  heroImage: images/blog/hero-images/logoforblogpost.jpg
  date: '2019-01-07'
  body: >

    GitHub just launched [free private repos with up to three
    collaborators](https://blog.github.com/2019-01-07-new-year-new-github/). I
    like to think that increased competition from us (GitLab) contributed to
    this change – as one Hacker News commenter stated, ["Thank you GitLab for
    providing market competition forcing GitHub to consider
    this!"](https://news.ycombinator.com/item?id=18848142)


    ## Some history


    When we [originally announced
    GitLab.com](https://news.ycombinator.com/item?id=4428278) I made the main
    point that it would have private repos for free. I think it is great for
    beginner users that private repos on GitHub are now free.

    If you're starting to program and aren't ready to share your code with the
    world yet, you don't have to have a paid account to keep it private.


    At the time, I was very disappointed to learn that Bitbucket.org already
    offered the same. GitLab took off despite that and GitLab.com recently
    surpassed [10 million
    projects](https://twitter.com/gitlab/status/1075377374022262784) and in the
    [top dev tools ranking of
    Axosoft](https://blog.axosoft.com/top-developer-tools-2019/) GitLab climbed
    the ranks 4 spots and overtook GitHub for the first year.


    ## Looking ahead


    At GitLab we think that repositories will become a commodity. I think
    Microsoft will try to generate more revenue with people using Azure more
    instead of paying for repos. We're focusing on making a single application
    for the entire DevOps lifecycle [that can replace a lot of other
    tools](/competition/). Or, [as Stavros Korokithakis phrased
    it](https://news.ycombinator.com/item?id=18848066): "My move to GitLab was
    basically 'Come for the free repos, stay for the rest of the amazing
    features.' I will not be moving off it, and my new repos will keep being on
    GitLab."


    We think the long-term trend is
    [multi-cloud](https://medium.com/gitlab-magazine/multi-cloud-maturity-model-2de185c01dd7)
    and we'll keep shipping with our [2,200 other
    contributors](http://contributors.gitlab.com/) to make this a reality.


    In the meantime, here are some more details of our current GitLab free
    private repository offering vs GitHub's:


    | Free functionality                  | GitLab    |
    GitHub                                    |

    |--------------------------|-----------|-------------------------------------------|

    | Private repositories     | Yes       |
    Yes                                       |

    | Number of collaborators  | Unlimited |
    3                                         |

    | Wiki                     | Yes       | No (public or paid
    only)                  |

    | Pages                    | Yes       | No (public or paid
    only)                  |

    | Capacity                 | 10GB      |
    1GB                                       |

    | [Indicates who is
    paying](https://twitter.com/rgaiacs/status/1082581763745083392)  | No       
    | Yes                                 |

    | Free CI                 | 2,000 min.     | Maybe a free tier for Actions
    on Azure                              |

    | [Entire DevOps
    lifecycle](https://about.gitlab.com/stages-devops-lifecycle/) | Yes | No |

    | Location of the repo | Anywhere | Not in groups/orgs |

    | API concurrent rate limit | 36000 | 5000 |


    Sign up for a [free trial](https://about.gitlab.com/pricing/#gitlab-com)
  category: Company
  tags:
    - news
    - open source
config:
  slug: github-offering-free-private-repos-for-up-to-three-collaborators
  featured: false
  template: BlogPost
